Skip to main content
POST
/
api
/
v1
/
wallet
/
account_owner
Add account owner extension
curl --request POST \
  --url https://api.hevn.finance/api/v1/wallet/account_owner \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "msg": "<string>",
  "publicKey": "<string>",
  "proof": "<string>"
}
'
{
  "sessionKey": "<string>",
  "transactionHash": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

auth-session-id
string | null
x-api-key
string | null

Body

application/json

Request for /account_owner — add_extension with OTP confirmation.

msg
string
required
publicKey
string
required
proof
string
required

Response

Successful Response

Response for /account_owner.

If session_key is set → OTP required (first step). If transaction_hash is set → execution done (second step).

sessionKey
string | null
transactionHash
string | null